# Ruff PyCharm Plugin
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![](https://img.shields.io/jetbrains/plugin/v/20574)](https://plugins.jetbrains.com/plugin/20574-ruff)

[A JetBrains PyCharm plugin](https://plugins.jetbrains.com/plugin/20574-ruff) for [`ruff`](https://github.com/charliermarsh/ruff).

## Help
See [documentation](https://koxudaxi.github.io/ruff-pycharm-plugin/) for more details.

## Sponsors
[![JetBrains](https://avatars.githubusercontent.com/u/60931315?s=200&v=4)](https://github.com/JetBrainsOfficial)

## ScreenShots
![inspection](https://raw.githubusercontent.com/koxudaxi/ruff-pycharm-plugin/main/docs/inspection.png)
![quickfix](https://raw.githubusercontent.com/koxudaxi/ruff-pycharm-plugin/main/docs/quickfix.png)
![action](https://raw.githubusercontent.com/koxudaxi/ruff-pycharm-plugin/main/docs/action.png)
![settings](https://raw.githubusercontent.com/koxudaxi/ruff-pycharm-plugin/main/docs/settings.png)

<!-- Plugin description -->
## Features
- [x] Inspection and highlight
- [x] Quick Fix(from mouse-over, `⌥⏎` or `Alt+Enter`)
  - [x] Show fix message
- [x] Run `ruff --fix` as an action
- [x] Integrate `Reformat Code` with `⌥⇧ ⌘ L` or `Ctrl+Alt+L`
- [x] Run `ruff --fix` for a file when the file is saved

## Core
- [x] detect global `ruff` and project `ruff`
- [x] execute `ruff` command as a new process



<!-- Plugin description end -->

## Quick Installation
### MarketPlace
The plugin is in Jetbrains repository ([Ruff Plugin Page](https://plugins.jetbrains.com/plugin/20574-ruff))

You can install the stable version on PyCharm's `Marketplace` (Preference -> Plugins -> Marketplace) [Official Documentation](https://www.jetbrains.com/help/idea/managing-plugins.html)

![search plugin](https://raw.githubusercontent.com/koxudaxi/ruff-pycharm-plugin/main/docs/search_plugin.png)


## Contribute
We are waiting for your contributions to `ruff-pycharm-plugin`.


## Links
### JetBrains Plugin Page

### Other PyCharm plugin projects
[Pydantic PyCharm Plugin](https://github.com/koxudaxi/pydantic-pycharm-plugin/)

